net.dontdrinkandroot.visualization.layout.graph

## Class WeightedEdge<T>

- java.lang.Object
- - net.dontdrinkandroot.visualization.layout.graph.WeightedEdge<T>

    public class WeightedEdge<T>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WeightedEdge(T data, Double weight)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`T` `getData()`
`Double` `getWeight()`
`int` `hashCode()`
`void` `setData(T data)`
`void` `setWeight(Double weight)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WeightedEdge

    public WeightedEdge(T data,
                Double weight)

### Method Detail

#### getWeight

    public final Double getWeight()

#### setWeight

    public final void setWeight(Double weight)

#### getData

    public final T getData()

#### setData

    public final void setData(T data)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`